/*
AUTORE: Vichingo455
Medie con array
*/
#include <iostream>
#include <array>
#include <vector>
#include <cstdlib>
using namespace std;
double mediaAritmetica(int arr[], int n) {
    int somma = 0;
    for (int i = 0; i < n; i++) {
        somma += arr[i];
    }
    return static_cast<double>(somma) / n;
}

int main() {
    int n;
    cout << "Inserisci il numero di elementi nell'array: ";
    cin >> n;
    int arr[n];
    cout << "Inserisci gli elementi dell'array: 5" << endl;
    for (int i = 0; i < n; i++) {
        cin >> arr[i];
    }
    double media = mediaAritmetica(arr, n);
    cout << "La media aritmetica degli elementi dell'array e': " << media << endl;
    system("PAUSE");
    return 0;
}
